Doomsday Engine - Bug #2399
Feature # 1648 (Progressed): Complete vanilla DOOM emulation
Feature # 1603 (Progressed): Support for id Tech 1 map hacks
[Render hack] TNT map21: Transparent doors
2020-01-13 07:10 - sonicdoommario

Status: New Start date: 2020-01-12
Priority: Normal % Done: 0%
Assignee: skyjake

Category: Vanilla emulation

Target version: 2.3.x

Description

Submitting this separately since | don't believe this was ever properly displayed in Doomsday.

Map21 of TNT has doors where, with the use of render hacks, you can look through the doors into the rooms. You can find these
around the perimeter of the starting area, all but one of them which require keys to open. In the 2.2 release of Doomsday, the doors
are simply black, while in the current 2.3 unstable releases of Doomsday, nothing is rendered and you can completely see right into
the room (the door will open, though).

In the second screenshot, it's at -1800, 600. There are supposed to be bars there in between you and the enemies, but nothing there
is rendered.

Related issues:
Related to Bug #110: [Render hack] TNT map09: Transparent window is not trans... Closed 2003-07-17

History

#1 - 2020-01-17 07:29 - skyjake

- Category set to Vanilla emulation

- Assignee changed from Deng Team to skyjake
- Target version set to 2.3

- Parent task set to #1603

#2 - 2020-01-17 07:29 - skyjake
- Related to Bug #110: [Render hack] TNT map09: Transparent window is not transparent added

#3 - 2020-01-17 07:30 - skyjake
- Subject changed from [Render Hack] Transparent doors in TNT Map21 to [Render hack] TNT map21: Transparent doors

#4 - 2020-12-08 08:26 - skyjake

- Target version changed from 2.3 to 2.3.x
